PHP

Release information

Supported versions

Version Status Shaarli compatibility
7.1 Supported (v0.9.x) Yes
7.0 Supported Yes
5.6 Supported Yes
5.5 EOL: 2016-07-10 Yes
5.4 EOL: 2015-09-14 Yes (up to Shaarli 0.8.x)
5.3 EOL: 2014-08-14 Yes (up to Shaarli 0.8.x)

See also:

Dependency management

Starting with Shaarli v0.8.x, Composer is used to resolve, download and install third-party PHP dependencies.

Library Required? Usage
shaarli/netscape-bookmark-parser All Import bookmarks from Netscape files
erusev/parsedown All Parse MarkDown syntax for the MarkDown plugin
slim/slim All Handle routes and middleware for the REST API

Extensions

Extension Required? Usage
openssl All OpenSSL, HTTPS
php-mbstring CentOS, Fedora, RHEL, Windows multibyte (Unicode) string support
php-gd optional thumbnail resizing
php-intl optional localized text sorting (e.g. e->รจ->f)
php-curl optional using cURL for fetching webpages and thumbnails in a more robust way
php-gettext optional Use the translation system in gettext mode (faster)